shishi_asn1_read_inline(3)

NAME
shishi_asn1_read_inline - API function

SYNOPSIS
#include <shishi.h>

int shishi_asn1_read_inline(Shishi * handle, Shishi_asn1 node, const char * field, char * data, size_t * datalen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 node
    ASN.1 variable to read field from.

const char * field
    name of field in node to read.

char * data
    pre-allocated output buffer that will hold ASN.1 field data.

size_t * datalen
    on input, maximum size of output buffer, on output, actual size of output buffer.

DESCRIPTION
Extract data stored in a ASN.1 field into a fixed size buffer allocated by caller. Note that since it is difficult to predict the length of the field, it is often better to use shishi_asn1_read() instead.

RETURN VALUE
Returns SHISHI_OK if successful, SHISHI_ASN1_NO_ELEMENT if the element do not exist, SHISHI_ASN1_NO_VALUE if the field has no value, ot SHISHI_ASN1_ERROR otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.